Ofcas.Lk.Api.Client - Version 3.0 3.0.0.112

Public Member Functions | Public Attributes | Protected Member Functions | Properties | List of all members
Ofcas.Lk.Api.Client.Core.Elevation Class Reference

Elevation is the representation of a LogiKal element (for example, a window, a facade, ...). The children are of type ElevationInstance. The children can be received from the InfoList (CoreObject<T>.Infos). More...

Inheritance diagram for Ofcas.Lk.Api.Client.Core.Elevation:

## Public Member Functions
override ElevationInstance | GetChild (ElevationInstanceInfo elevationInstanceInfo)
| Gets an ElevationInstance based on an ElevationInstanceInfo. More...
ElevationInstance | GetElevationInstance (ElevationInstanceInfo elevationInstanceInfo)
| This method is deprecated. Please use GetChild(ElevationInstanceInfo) instead. More...
override OperationInfo | CanEdit (string key, object value)
| Checks whether an elevation can be edited or not. More...
override ElevationInfo | Edit (string key, object value)
| Edits an elevation based on a key and a value. More...
override OperationInfo | CanCreateChild ()
| Checks whether an ElevationInstance can be created or not. More...
override ElevationInstanceInfo | CreateChild ()
| Creates a new ElevationInstance to this Elevation. More...
IList< ElevationInstanceInfo > | CreateChildren (int amount)
| Creates an amount of new ElevationInstance to this Elevation. More...
virtual void | DeleteElevationInstance (ElevationInstanceInfo elevationInstanceInfo)
| Currently not supported in non-UI mode. More...
override OperationInfo | CanDeleteChild (ElevationInstanceInfo childInfo)
| Checks whether an elevation instance can be deleted or not. More...
override void | DeleteChild (ElevationInstanceInfo childInfo)
| Deletes an elevation instance based on an info object. More...
void | GetThumbnail (Stream target, GraphicSettings settings)
| This method is deprecated. Please use GetThumbnail(Dictionary<string, object>) instead. More...
Stream | GetThumbnail (Dictionary< string, object > parameters)
| Gets a thumbnail from the elevation as a Stream. More...
Stream | GetDrawing (GraphicSettings settings)
| This method is deprecated. Please use GetDrawing(Dictionary<string, object>) instead. More...
Stream | GetDrawing (Dictionary< string, object > parameters)
| Gets a drawing from the elevation as a Stream. More...
void | GetGdz (Stream target, GdzSettings settings)
| This method is deprecated. Please use GetGdz(GdzSettings) instead. More...
Stream | GetGdz (GdzSettings settings)
| This method is deprecated. Please use GetGdz(Dictionary<string, object>) instead. More...
Stream | GetGdz (Dictionary< string, object > parameters)
| Gets the GDZ from the elevation as a Stream. More...
Stream | Get3D (Settings3D settings)
| This method is deprecated. Please use Get3D(Dictionary<string, object>) instead. More...
Stream | Get3D (Dictionary< string, object > parameters)
| Gets the 3D definition from the elevation. More...
Stream | GetPartsList ()
| Returns the parts list of this Elevation as a sqlite file. More...
IList< ElevationEditMode > | GetAvailableElevationEditModes ()
| This method is deprecated. Please use GetEditModes instead. More...
IList< ElevationEditMode > | GetEditModes ()
| Returns a list of all available ElevationEditMode for the current Elevation. More...
ElevationInfo | SetElementPricelistSelection (Stream selectionStream)
| Sets the selection of an element pricelist elevation. More...
Stream | GetElementPricelistSelection ()
| Gets the selection of an element pricelist elevation. More...
override ElevationInstanceInfo | RefreshChild (ElevationInstanceInfo childInfo)
ElevationInfo | ManageBackup (ManageBackupAction action)
Public Member Functions inherited from Ofcas.Lk.Api.Client.Core.CoreObjectFullyQualified< Phase, ElevationInfo, ElevationInstance, ElevationInstanceInfo >
TOwnInfo | Refresh ()
Public Member Functions inherited from Ofcas.Lk.Api.Client.Core.Interfaces.ICoreObject
bool | CanDispose ()
| Checks whether the ICoreInfo can be disposed. More...

## Public Attributes
DocumentContainer | Documents => _documentContainerLifetimeManager.GetCoreObject()

## Protected Member Functions
override IEnumerable< ElevationInstanceInfo > | GetChildrenInfos ()
virtual ElevationInstance | CreateNewInstance (Guid coreObjectId, ElevationInstanceInfo elevationInstanceInfo)
ElevationInfo | HandleElevationOperationStatusResponse (OperationStatusResponse response, string information)
OperationInfo | CanDeleteChild (ElevationInstanceInfo childInfo, bool verbose)
| Checks whether an elevation instance can be deleted or not. More...
void | DeleteChild (ElevationInstanceInfo childInfo, bool verbose)
| Deletes an elevation instance based on an info object. More...
bool | ObjectChanged (ISynchronizedEvent synchronizedEvent)
override void | Dispose (bool disposing)
Protected Member Functions inherited from Ofcas.Lk.Api.Client.Core.CoreObjectFullyQualified< Phase, ElevationInfo, ElevationInstance, ElevationInstanceInfo >
| CoreObjectFullyQualified (IServiceFactory< IApiService > serviceFactory, Guid coreObjectId, TParent parent, TOwnInfo ownInfo)
| Creates a new instance of CoreObjectFullyQualified<TParent,TOwnInfo,TChild,TChildInfo> with the given parameters. More...

## Properties
ISynchronizationContainer | SynchronizationContainer`[get]`
Properties inherited from Ofcas.Lk.Api.Client.Core.CoreObjectFullyQualified< Phase, ElevationInfo, ElevationInstance, ElevationInstanceInfo >
TParent | Parent`[get]`
TOwnInfo | Info`[get]`
Properties inherited from Ofcas.Lk.Api.Client.Core.Interfaces.ICoreObjectWithDocuments
DocumentContainer | Documents`[get]`
| The DocumentContainer of the ICoreObject. More...
Properties inherited from Ofcas.Lk.Api.Client.Core.Interfaces.ICoreObjectWithSynchronizations
ISynchronizationContainer | SynchronizationContainer`[get]`
| The ISynchronizationContainer of this ICoreObject. More...
Properties inherited from Ofcas.Lk.Api.Client.Core.Interfaces.ICoreObject
Guid | CoreObjectId`[get]`
| This property is deprecated. Please use ICoreObject.Id instead. More...
Guid | Id`[get]`
| The unique identifier of this core object. More...

## Detailed Description

Elevation is the representation of a LogiKal element (for example, a window, a facade, ...). The children are of type ElevationInstance. The children can be received from the InfoList (CoreObject<T>.Infos).

## Member Function Documentation

## ◆ CanCreateChild()

override OperationInfo Ofcas.Lk.Api.Client.Core.Elevation.CanCreateChild | ( |  | ) |

Checks whether an ElevationInstance can be created or not.

Returns

## ◆ CanDeleteChild() [1/2]

override OperationInfo Ofcas.Lk.Api.Client.Core.Elevation.CanDeleteChild | ( | ElevationInstanceInfo | childInfo | ) |

Checks whether an elevation instance can be deleted or not.

Parameters

  childInfo | The info of the elevation instance to be deleted.

Returns

## ◆ CanDeleteChild() [2/2]

OperationInfo Ofcas.Lk.Api.Client.Core.Elevation.CanDeleteChild | ( | ElevationInstanceInfo | childInfo,
|  | bool | verbose
| ) |  |
| protected

Checks whether an elevation instance can be deleted or not.

Parameters

  childInfo | The info of the elevation instance to be deleted.
  verbose | Set to true when in UI mode.

Returns

## ◆ CanEdit()

override OperationInfo Ofcas.Lk.Api.Client.Core.Elevation.CanEdit | ( | string | key,
|  | object | value
| ) |  |
| virtual

Checks whether an elevation can be edited or not.

Parameters

  key | The key of the value to be edited. See WellKnownEditKeys.Elevation for all available edit keys.
  value | The value to be set.

Returns

Reimplemented from Ofcas.Lk.Api.Client.Core.CoreObjectFullyQualified< Phase, ElevationInfo, ElevationInstance, ElevationInstanceInfo >.

## ◆ CreateChild()

override ElevationInstanceInfo Ofcas.Lk.Api.Client.Core.Elevation.CreateChild | ( |  | ) |

Creates a new ElevationInstance to this Elevation.

Returns
  The ElevationInstanceInfo to the created elevation instance.

Exceptions

  ApiException | Occurs if the method fails.

## ◆ CreateChildren()

IList<ElevationInstanceInfo> Ofcas.Lk.Api.Client.Core.Elevation.CreateChildren | ( | int | amount | ) |

Creates an amount of new ElevationInstance to this Elevation.

Returns
  The list of created elevation instances.

Exceptions

  ApiException | Occurs if the method fails.

## ◆ DeleteChild() [1/2]

override void Ofcas.Lk.Api.Client.Core.Elevation.DeleteChild | ( | ElevationInstanceInfo | childInfo | ) |

Deletes an elevation instance based on an info object.

Parameters

  childInfo | The info of the elevation instance to be deleted.

## ◆ DeleteChild() [2/2]

void Ofcas.Lk.Api.Client.Core.Elevation.DeleteChild | ( | ElevationInstanceInfo | childInfo,
|  | bool | verbose
| ) |  |
| protected

Deletes an elevation instance based on an info object.

Parameters

  childInfo | The info of the elevation instance to be deleted.
  verbose | Set to True when in UI mode.

## ◆ DeleteElevationInstance()

virtual void Ofcas.Lk.Api.Client.Core.Elevation.DeleteElevationInstance | ( | ElevationInstanceInfo | elevationInstanceInfo | ) |
| virtual

Currently not supported in non-UI mode.

Exceptions

  NotSupportedException |

Reimplemented in Ofcas.Lk.Api.Client.Ui.ElevationUi.

## ◆ Edit()

override ElevationInfo Ofcas.Lk.Api.Client.Core.Elevation.Edit | ( | string | key,
|  | object | value
| ) |  |
| virtual

Edits an elevation based on a key and a value.

Parameters

  key | The key of the value to be edited. See WellKnownEditKeys.Elevation for all available edit keys.
  value | The value to be set.

Returns
  Returns an info object of the edited elevation.

Reimplemented from Ofcas.Lk.Api.Client.Core.CoreObjectFullyQualified< Phase, ElevationInfo, ElevationInstance, ElevationInstanceInfo >.

## ◆ Get3D() [1/2]

Stream Ofcas.Lk.Api.Client.Core.Elevation.Get3D | ( | Settings3D | settings | ) |

This method is deprecated. Please use Get3D(Dictionary<string, object>) instead.

## ◆ Get3D() [2/2]

Stream Ofcas.Lk.Api.Client.Core.Elevation.Get3D | ( | Dictionary< string, object > | parameters | ) |

Gets the 3D definition from the elevation.

Parameters

  parameters | The parameters to define the 3D definition. There are currently no keys.

Returns
  Returns a read-only Stream of the 3D definition from the elevation based on the stated parameters.

## ◆ GetAvailableElevationEditModes()

IList<ElevationEditMode> Ofcas.Lk.Api.Client.Core.Elevation.GetAvailableElevationEditModes | ( |  | ) |

This method is deprecated. Please use GetEditModes instead.

## ◆ GetChild()

override ElevationInstance Ofcas.Lk.Api.Client.Core.Elevation.GetChild | ( | ElevationInstanceInfo | elevationInstanceInfo | ) |

Gets an ElevationInstance based on an ElevationInstanceInfo.

Parameters

  elevationInstanceInfo | The ElevationInstanceInfo of the ElevationInstance to be returned.

Returns
  Returns an ElevationInstance based on the given ElevationInstanceInfo.

## ◆ GetDrawing() [1/2]

Stream Ofcas.Lk.Api.Client.Core.Elevation.GetDrawing | ( | GraphicSettings | settings | ) |

This method is deprecated. Please use GetDrawing(Dictionary<string, object>) instead.

## ◆ GetDrawing() [2/2]

Stream Ofcas.Lk.Api.Client.Core.Elevation.GetDrawing | ( | Dictionary< string, object > | parameters | ) |

Gets a drawing from the elevation as a Stream.

Parameters

  parameters | The parameters to define the drawing. See WellKnownParameterKeys.Elevation.Drawing for details about the keys.

Returns
  Returns a read-only Stream of the drawing from the elevation based on the stated parameters.

## ◆ GetEditModes()

IList<ElevationEditMode> Ofcas.Lk.Api.Client.Core.Elevation.GetEditModes | ( |  | ) |

Returns a list of all available ElevationEditMode for the current Elevation.

Returns
  List with all available elevation edit modes

## ◆ GetElementPricelistSelection()

Stream Ofcas.Lk.Api.Client.Core.Elevation.GetElementPricelistSelection | ( |  | ) |

Gets the selection of an element pricelist elevation.

Returns
  Returns the selection as xml stream.

## ◆ GetElevationInstance()

ElevationInstance Ofcas.Lk.Api.Client.Core.Elevation.GetElevationInstance | ( | ElevationInstanceInfo | elevationInstanceInfo | ) |

This method is deprecated. Please use GetChild(ElevationInstanceInfo) instead.

## ◆ GetGdz() [1/3]

void Ofcas.Lk.Api.Client.Core.Elevation.GetGdz | ( | Stream | target,
|  | GdzSettings | settings
| ) |  |

This method is deprecated. Please use GetGdz(GdzSettings) instead.

## ◆ GetGdz() [2/3]

Stream Ofcas.Lk.Api.Client.Core.Elevation.GetGdz | ( | GdzSettings | settings | ) |

This method is deprecated. Please use GetGdz(Dictionary<string, object>) instead.

## ◆ GetGdz() [3/3]

Stream Ofcas.Lk.Api.Client.Core.Elevation.GetGdz | ( | Dictionary< string, object > | parameters | ) |

Gets the GDZ from the elevation as a Stream.

Parameters

  parameters | The parameters to define the GDZ. There are currently no keys.

Returns
  Returns a read-only Stream of the GDZ from the elevation based on the stated parameters.

## ◆ GetPartsList()

Stream Ofcas.Lk.Api.Client.Core.Elevation.GetPartsList | ( |  | ) |

Returns the parts list of this Elevation as a sqlite file.

Returns
  The sqlite file of the parts list as a Stream.

Exceptions

  ApiException | Occurs if the method fails.

## ◆ GetThumbnail() [1/2]

void Ofcas.Lk.Api.Client.Core.Elevation.GetThumbnail | ( | Stream | target,
|  | GraphicSettings | settings
| ) |  |

This method is deprecated. Please use GetThumbnail(Dictionary<string, object>) instead.

## ◆ GetThumbnail() [2/2]

Stream Ofcas.Lk.Api.Client.Core.Elevation.GetThumbnail | ( | Dictionary< string, object > | parameters | ) |

Gets a thumbnail from the elevation as a Stream.

Parameters

  parameters | The parameters to define the thumbnail. See WellKnownParameterKeys.Elevation.Thumbnail for details about the keys.

Returns
  Returns a Stream of the thumbnail from the elevation based on the stated parameters.

## ◆ SetElementPricelistSelection()

ElevationInfo Ofcas.Lk.Api.Client.Core.Elevation.SetElementPricelistSelection | ( | Stream | selectionStream | ) |

Sets the selection of an element pricelist elevation.

Parameters

  selectionStream | The selection as xml stream.

Returns
  Returns the updated elevation info.

The documentation for this class was generated from the following file:

- Elevation.cs